## START: Set by rpmautospec
## (rpmautospec version 0.6.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_with check
%global debug_package %{nil}

%global crate cryptoki

Name:           rust-cryptoki
Version:        0.6.2
Release:        %autorelease
Summary:        Rust-native wrapper around the PKCS #11 API

License:        Apache-2.0
URL:            https://crates.io/crates/cryptoki
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Rust-native wrapper around the PKCS #11 API.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+generate-bindings-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+generate-bindings-devel %{_description}

This package contains library source intended for building other packages which
use the "generate-bindings" feature of the "%{crate}" crate.

%files       -n %{name}+generate-bindings-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+psa-crypto-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+psa-crypto-devel %{_description}

This package contains library source intended for building other packages which
use the "psa-crypto" feature of the "%{crate}" crate.

%files       -n %{name}+psa-crypto-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+psa-crypto-conversions-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+psa-crypto-conversions-devel %{_description}

This package contains library source intended for building other packages which
use the "psa-crypto-conversions" feature of the "%{crate}" crate.

%files       -n %{name}+psa-crypto-conversions-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -a
echo 'softhsm'

%build
%cargo_build -a

%install
%cargo_install -a

%if %{with check}
%check
export PKCS11_SOFTHSM2_MODULE=%{_libdir}/pkcs11/libsofthsm2.so
mkdir /tmp/tokens
echo "directories.tokendir = /tmp/tokens" > /tmp/softhsm2.conf
export SOFTHSM2_CONF=/tmp/softhsm2.conf
%cargo_test -a
%endif

%changelog
## START: Generated by rpmautospec
* Fri Mar 08 2024 Peter Robinson <pbrobinson@gmail.com> - 0.6.2-1
- Update to 0.6.2

* Wed Jan 31 2024 Peter Robinson <pbrobinson@gmail.com> - 0.6.1-1
- Update to 0.6.1

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Aug 06 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-5
- Regenerate with rust2rpm v24

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Mar 14 2022 Peter Robinson <pbrobinson@fedorapeople.org> - 0.2.1-1
- Update to 0.2.1

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Aug 08 2021 Peter Robinson <pbrobinson@fedoraproject.org> - 0.2.0-1
- Update to 0.2.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Apr 05 2021 Peter Robinson <pbrobinson@fedorapeople.org> - 0.1.1-1
- Update to 0.1.1
- Review updates

* Fri Mar 26 2021 Peter Robinson <pbrobinson@fedorapeople.org> - 0.1.0-1
- Initial package

## END: Generated by rpmautospec
